Search

Search found 947 matches

by bibim
04 Apr 2021, 11:35
Forum: Lobby Clients & Server
Topic: TLS will be required for battle hosting
Replies: 2
Views: 130

Re: TLS will be required for battle hosting

It seems only the notAvault103 host is using an obsolete version of SPADS (from 2016), which doesn't support TLS. Other hosts aren't using TLS because I guess they are missing the IO::Socket:SSL Perl module (required by SPADS to enable TLS). For the record, instructions to install the IO::Socket::SS...
by bibim
30 Mar 2021, 23:12
Forum: SPADS AutoHost
Topic: SPADS AutoHost
Replies: 67
Views: 75495

Re: SPADS AutoHost

The workarounds for lobby protocol limitations (team and ID numbers being limited to 16) have been improved in SPADS >= 0.12.32, which means the maximum number of teams and IDs allowed by the engine are now supported (250). Previously only the IDs numbers could go above 16, and only if the idShareMo...
by bibim
30 Mar 2021, 22:26
Forum: SPADS AutoHost
Topic: Official plugins releases
Replies: 20
Views: 7739

Re: Official plugins releases

New SPADS plugin available:

CustomTeamColors - makes it possible to customize the team colors applied by SPADS


Generic quick install notes for SPADS plugins are available here.
The full list of official plugins is available here.
by bibim
31 Jan 2021, 22:30
Forum: SPADS AutoHost
Topic: SPADS AutoHost
Replies: 67
Views: 75495

Re: SPADS AutoHost

Congrats to Beherith for deploying and using the ClusterManager plugin since a few weeks with great success for BAR :-) https://springrts.com/phpbb/download/file.php?id=11230 For the 18 instances [teh]cluster[XX] you can see on the image above, only one instance of SPADS needed to be configured and ...
by bibim
30 Jan 2021, 12:58
Forum: SPADS AutoHost
Topic: Spads 64bit
Replies: 8
Views: 647

Re: Spads 64bit

Forboding Angel wrote: 03 Jan 2021, 02:36Edit: I did a yolo and did update.pl testing -a
That got me to 0.12.18
I don't really want to switch to unstable?
FYI current testing release includes the fixes for Windows 64-bit.
by bibim
28 Jan 2021, 15:39
Forum: SPADS AutoHost
Topic: SPADS AutoHost
Replies: 67
Views: 75495

Re: SPADS AutoHost

Starting with version 0.12.29, SPADS now supports Python plugins (with either Python 2.6+ or Python 3.2+). So it is no longer required to write a single line of Perl code to extend SPADS functionalities through plugins :-) Like Perl plugins, Python plugins support hot reloads and the entire plugin A...
by bibim
03 Jan 2021, 11:06
Forum: SPADS AutoHost
Topic: Spads 64bit
Replies: 8
Views: 647

Re: Spads 64bit

is this in the stable channel? Spads reports to me that there is no update available for stable release. No, changes are integrated in the "stable" release only when they have been extensively tested in the "unstable" release and then in the "testing" release. It can t...
by bibim
02 Jan 2021, 19:12
Forum: SPADS AutoHost
Topic: Spads 64bit
Replies: 8
Views: 647

Re: Spads 64bit

Fixed in SPADS 0.12.21
by bibim
02 Jan 2021, 12:53
Forum: SPADS AutoHost
Topic: Spads 64bit
Replies: 8
Views: 647

Re: Spads 64bit

abma wrote: 02 Jan 2021, 06:45 it seems spads has a hardcoded 32 bit windows: i guess because when this code was written, the win64 bit executable didn't exist
Exactly. This is already on my todo list btw, it's just that it wasn't the best timing for me but it should be fixed soon :)
by bibim
23 Dec 2020, 12:23
Forum: SPADS AutoHost
Topic: SPADS AutoHost
Replies: 67
Views: 75495

Re: SPADS AutoHost

I have made quite some updates in SPADS recently, which were mainly done to prepare and improve the efficiency of a new plugin that I was working on: ClusterManager This plugin is now available (as seen on the official plugins list ) and I think this plugin is important enough to deserve its own pos...
by bibim
23 Dec 2020, 00:56
Forum: SPADS AutoHost
Topic: Official plugins releases
Replies: 20
Views: 7739

Re: Official plugins releases

New SPADS plugins available:

AutoRegister - automatically registers the lobby account used by SPADS if needed
ClusterManager - turns a SPADS instance into a manager of clusters of SPADS instances
by bibim
20 Dec 2020, 18:48
Forum: Off Topic Discussion
Topic: Autodeletion of builds & types of buildbot (split from end of maintenance branch)
Replies: 56
Views: 2341

Re: The end of the maintenance branch

glibc 2.29 was released 2019-01-31, ubuntu 20.04 has glibc 2.31 , debian 10 is to old, debian 11 with an up to date glibc will be released in early 2021. On which distribution / version did you currently test? Tbh my system is irrelevant, I don't personally need the static build of Spring engine to...
by bibim
20 Dec 2020, 18:07
Forum: Off Topic Discussion
Topic: Autodeletion of builds & types of buildbot (split from end of maintenance branch)
Replies: 56
Views: 2341

Re: The end of the maintenance branch

the new static builds will fail on a lot of systems because they require GLIBC 2.29, so I guess it would be a good option to put back build 1553 online as afaik it is the last build which doesn't require GLIBC 2.29. Is that an issue related to getting spads to use the new engine build? I don't know...
by bibim
20 Dec 2020, 16:26
Forum: Off Topic Discussion
Topic: Autodeletion of builds & types of buildbot (split from end of maintenance branch)
Replies: 56
Views: 2341

Re: The end of the maintenance branch

While new maintenance builds are still broken, please restore the 1553 maintenance build files on the https://springrts.com/dl/buildbot/default/maintenance/. Yeah, the new static builds will fail on a lot of systems because they require GLIBC 2.29, so I guess it would be a good option to put back b...
by bibim
20 Dec 2020, 15:19
Forum: SPADS AutoHost
Topic: SPADS AutoHost
Replies: 67
Views: 75495

Re: SPADS AutoHost

I have updated the SPADS configurations templates (used to build default configuration when installing SPADS) so that they now contain a few presets, for the main game modes: team, duel and FFA. This means that new SPADS installations will now have these basic presets already defined by default.Thes...
by bibim
18 Dec 2020, 17:36
Forum: SPADS AutoHost
Topic: SPADS AutoHost
Replies: 67
Views: 75495

Re: SPADS AutoHost

Since SPADS 0.12.20, it is now also possible to share preferences data between multiple SPADS instances, by adding the "preferences" keyword to the list of shared data (see previous post). For example, to share all supported data you need to start SPADS like this: perl spads.pl etc/spads.c...
by bibim
16 Dec 2020, 21:46
Forum: SPADS AutoHost
Topic: SPADS AutoHost
Replies: 67
Views: 75495

Re: SPADS AutoHost

Experimental support for shared dynamic data has been added in SPADS 0.12.19 (only in "unstable" release for now), for following data: Map start boxes Bans Trusted lobby certificates When shared data are used, the data files are stored in the "varDir" directory (shared between mu...
by bibim
11 Dec 2020, 22:20
Forum: SPADS AutoHost
Topic: SPADS AutoHost
Replies: 67
Views: 75495

Re: SPADS AutoHost

Preset inheritance TL;DR: It is now possible to make a preset inherit settings declarations from other presets, just by adding the list of inherited presets between "< >" in the preset declaration line in the configuration file. For example, for a "duelProOnly" preset inheriting...
by bibim
11 Dec 2020, 14:33
Forum: SPADS AutoHost
Topic: SPADS AutoHost
Replies: 67
Views: 75495

Re: SPADS AutoHost

Configuration settings overrides TL;DR: It is now possible to override settings configured in SPADS configuration files by passing command line parameters when starting SPADS. For example to override the "lobbyLogin" global setting and the "port" hosting setting: "perl spad...
by bibim
11 Dec 2020, 12:15
Forum: SPADS AutoHost
Topic: SPADS AutoHost
Replies: 67
Views: 75495

Re: SPADS AutoHost

I have introduced 2 new functionalities in SPADS 0.12.17 to ease configuration management: configuration settings overrides and preset inheritance. I will explain them in following posts.

Go to advanced search